
TYPO3.Flow - Bug # 52425

Status: Resolved Priority: Should have
Author: Michael Gerdemann Category:
Created: 2013-10-01 Assigned To:
Updated: 2013-10-04 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Flow 2.0.0
Subject: "Required option" flag in AbstractValidatior does not work correct
Description

The "required" flag for the options in source:/Classes/TYPO3/Flow/Validation/Validator/AbstractValidator.php does not work correct.
If the flag is set to FALSE, the option is nevertheless TRUE.

Example (does not work):

protected $supportedOptions = array(
    'optionName'   => array('default, 'Description', 'mixed', FALSE)
);

Associated revisions
Revision 9e5f2e40 - 2013-10-04 15:53 - Michael Gerdemann

[BUGFIX] "Required option" flag in AbstractValidator works correct

This fix adds a boolean condition to the "Required option" flag
condition. With this fix the flag can also be FALSE.

Fixes: #52425
Change-Id: If174b3223f0a2d48650697548cf15d5e8705cbb3
Releases: master, 2.0

Revision de5ed467 - 2013-10-04 15:53 - Michael Gerdemann

[BUGFIX] "Required option" flag in AbstractValidator works correct

This fix adds a boolean condition to the "Required option" flag
condition. With this fix the flag can also be FALSE.

Fixes: #52425
Change-Id: If174b3223f0a2d48650697548cf15d5e8705cbb3
Releases: master, 2.0

History
#1 - 2013-10-01 14:16 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24211

#2 - 2013-10-02 13:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24211

#3 - 2013-10-02 14:49 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24211

#4 - 2013-10-02 14:59 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24211

#5 - 2013-10-03 13:29 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24211

#6 - 2013-10-04 07:43 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24211

#7 - 2013-10-04 15:53 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24211

#8 - 2013-10-04 15:53 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/24386

#9 - 2013-10-04 16:35 - Michael Gerdemann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:9e5f2e40226a8e3e4ecf5ebc2072ee3b7e82076d.

Files
patch.diff 912 Bytes 2013-10-01 Michael Gerdemann
